### Method

# Clutter BindingPool find_action

#### Declaration [src]

    const gchar*
    clutter_binding_pool_find_action (
      ClutterBindingPool* pool,
      guint key_val,
      ClutterModifierType modifiers
    )

#### Description [src]

Retrieves the name of the action matching the given key symbol and modifiers bitmask.

#### Parameters

`key_val`

  Type: `guint`

  A key symbol.

`modifiers`

  Type: `ClutterModifierType`

  A bitmask for the modifiers.

#### Return value

Type: `const gchar*`

The name of the action, if found, or `NULL`. The returned string is owned by the binding pool and should never be modified or freed.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.